RDS-DESCRIBE-RESERVED-DB-INSTANCES(1)

NAME
rds-describe-reserved-db-instances - List database instance reservations

SYNOPSIS

 rds-describe-reserved-db-instances
    [ReservedDBInstanceId] [--db-instance-class value ] [--duration value ]
    [--marker value ] [--max-records value ] [--multi-az value ]
    [--offering-type value ] [--product-description value ]
    [--reserved-db-instances-offering-id value ] [General Options]

DESCRIPTION

    Returns information about the database instance reservations for this
 account. If you pass in a ReservedDBInstanceId, it will return information
 only about that reservation. There are several optional parameters that
 allow you to filter the results..

ARGUMENTS

 ReservedDBInstanceId
    User-supplied reserved database instance identifier. This is the unique
    key that identifies a database instance reservation. Not case-sensitive.
    You can also set this value using "--reserved-db-instance-id".

SPECIFIC OPTIONS

 -c, --db-instance-class VALUE
    If specified, only reservations for this instance class will be shown.

 -d, --duration VALUE
    If specified, only reservations for this duration will be shown.

 -m, --multi-az VALUE
    If specified, only Multi-AZ (true) or Single-AZ (false) reservations will
    be shown.

 -o, --reserved-db-instances-offering-id VALUE
    If specified, only reservations for this offering will be shown.

 -p, --product-description VALUE
    If specified, only reservations with the specified description will be
    shown.

 -t, --offering-type VALUE
    If specified, only reservations for this offering type will be shown.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --marker VALUE
    The marker provided in the previous request. If this parameter is
    specified the response includes only records beyond the marker, up to
    MaxRecords.

 --max-records VALUE
    Maximum number of records to return per page.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 Returns descriptions of all of your database instance reservations.

 $PROMPT>rds-describe-reserved-db-instances

 Returns a description of a specific database instance reservation, showing
 table headers

 $PROMPT>rds-describe-reserved-db-instances reservation1 --headers

 Returns a full description of a specific database instance reservation,
 showing table headers

 $PROMPT>rds-describe-reserved-db-instances reservation1 --show-long --headers

OUTPUT

 This command returns a table that contains the following:
 * ReservationId - Unique identifier of the reservation.
 * OfferingId - Offering identifier for the reservation. This column appears
 only in the --show-long view.
 * Class - Class of database instances to which the reservation applies.
 * Multi-AZ - Indicates whether the reservation applies to Multi-AZ
 deployments.
 * Start Time - Time at which the reservation began.
 * Duration - Length of the reservation period in years.
 * Fixed Price - Fixed price charged for each database instance in this
 reservation.
 * Usage Price - Hourly price to run each reserved database instance.
 * Count - Number of database instances reserved.
 * State - Payment status.
 * Description - Indicates the database engine for the reservation.
 * Offering Type - Offering type for the reservation.
 * Amount - Recurring price charged to run this reserved database instance.
 * Currency - Currency of the amount.
 * Frequency - The frequency at which the amount is charged to run this
 reserved database instance.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference